Bug 7700 - Cart's more details view shows identity numbers
Summary: Cart's more details view shows identity numbers
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-11 09:35 UTC by Katrin Fischer
Modified: 2013-12-05 20:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot (86.41 KB, image/png)
2012-03-11 09:35 UTC, Katrin Fischer
Details
Bug 7700: Cart's more details view shows identity numbers (1.62 KB, patch)
2012-03-11 18:09 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7700: Cart's more details view shows identity numbers (1.72 KB, patch)
2012-03-11 22:52 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[revised] Bug 7700: Cart's more details view shows identity numbers (1.64 KB, patch)
2012-03-20 11:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7700: Cart's more details view shows identity numbers (1.73 KB, patch)
2012-03-20 11:29 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2012-03-11 09:35:54 UTC
Created attachment 8154 [details]
screenshot

The "More Details" view of the cart in OPAC shows too many subfields.
Especially identity numbers from $0 subfields are not interesting for the user.
Comment 1 Katrin Fischer 2012-03-11 18:09:57 UTC Comment hidden (obsolete)
Comment 2 Jared Camins-Esakov 2012-03-11 22:52:57 UTC Comment hidden (obsolete)
Comment 3 Ian Walls 2012-03-14 15:40:58 UTC
Strips out MARC21 subfield 0 in subjects and authors in normal view.  Since this is pretty solidly always undesirable information to display, I think this filteration is okay.  It would be better to have something universally configurable, but that's a much grander project.

Marking as Passed QA.
Comment 4 Paul Poulain 2012-03-16 11:57:55 UTC
QA comment : won't push this patch immediatly, as I think it's also relevant for UNIMARC, so the patch could be simpler ;-)
ccing one of BibLibre librarians. Gaetan/Stéphane/francois, your opinion:
couldn't we also remove $0 when building subjects/authors ?
Comment 5 Katrin Fischer 2012-03-16 12:08:15 UTC
Didn't want to break something - so was super careful here :)
Comment 6 Gaetan Boisson 2012-03-16 13:20:28 UTC
I've tested it very quickly on a two instances (Paul : Cherbourg and Aix-Marseille), and the numbers identifying the authorities are not showing.
Comment 7 delaye 2012-03-16 13:42:46 UTC
The unimarc the authority number is in 6XX, 7XX $3 inside the bibliographic notices not in $0. And in $9 it is the number koha oh the authority.
Comment 8 Katrin Fischer 2012-03-17 16:24:16 UTC
Hi, thx for checking! 
So should $3 be removed from the display for UNIMARC? Is $0 used at all in UNIMARC? Could/Should it be removed for UNIMARC or only for MARC21?
Comment 9 delaye 2012-03-19 09:30:12 UTC
in this case yes you can remove the $0 
the $0 is not used in UNIMARC
Comment 10 Paul Poulain 2012-03-19 16:59:10 UTC
failed QA until a patch not specific to MARC21 is provided (ie= no need to specify marcflavour eq "MARC21").
I also think NORMARC will prefer a non-MARC21 specific patch, because NORMARC is close to MARC21, and the 0 is probably to remove as well
Comment 11 Katrin Fischer 2012-03-20 11:12:32 UTC Comment hidden (obsolete)
Comment 12 Jared Camins-Esakov 2012-03-20 11:29:54 UTC
Created attachment 8344 [details] [review]
Bug 7700: Cart's more details view shows identity numbers

We already remove $9 with Koha's authority number from output
of GetMarcSubjects and GetMarcAuthors.
Patch additionally removes $0 subfields with identity numbers.

Patch also effects detail pages with normal (non-XSLT) views.

Revised to always remove $0 subfields, they are not used in UNIMARC.

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 13 Paul Poulain 2012-03-22 04:18:38 UTC
QA comment: tiny patch, no specific comment
Comment 14 Jared Camins-Esakov 2012-05-09 20:04:19 UTC
This bug will be included in the Koha 3.6.5 release.